Subject: Re: [PATCH 06/17] refs/files: improve error handling when verifying symrefs

From: shejialuo <[email-masked]>
Date: Sat, 10 Jan 2026 20:34:39 +0800

On Fri, Jan 09, 2026 at 01:39:35PM +0100, Patrick Steinhardt wrote:
> The error handling when verifying symbolic refs is a bit on the wild
> side:
> 
>   - `fsck_report_ref()` can be told to ignore specific errors. If an
>     error has been ignored and a previous check raised an unignored
>     error, then assigning `ret = fsck_report_ref()` will cause us to
>     swallow the previous error.
> 

Make sense, I think I haven't thought about this carefully when I wrote
the code. I totally ignored the case. Thanks for catching this.